# $Revision: 1.29.2.3 $, $Date: 2007/04/10 22:19:31 $
Summary:	AVR libc
Summary(pl):	libc na AVR
Name:		crossavr-libc
Version:	1.4.5
Release:	4
Epoch:		1
License:	Modified BSD (see included LICENSE)
Group:		Development/Tools
Source0:	http://download.savannah.gnu.org/releases/avr-libc/avr-libc-%{version}.tar.bz2
# Source0-md5:	4ff3b350e1cefc995dae0b6266c16f46
Source1:	http://download.savannah.gnu.org/releases/avr-libc/avr-libc-user-manual-%{version}.tar.bz2
# Source1-md5:	584aecb290da445e8c5491be54258b35
Source2:	http://download.savannah.gnu.org/releases/avr-libc/avr-libc-manpages-%{version}.tar.bz2
# Source2-md5:	f439e21de8a9704f46f32e3da70b8264
URL:		http://www.nongnu.org/avr-libc/
BuildRequires:	crossavr-binutils >= 2.14
BuildRequires:	crossavr-gcc >= 1:3.3
Requires:	crossavr-gcc >= 1:3.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		target		avr
%define		arch		%{_prefix}/%{target}
%define		no_install_post_strip	1

%description
Contains the standard C library for Atmel AVR microcontrollers.

%description -l pl
Pakiet zawiera standardow bibliotek C dla mikrokontrolerw Atmel
AVR.

%prep
%setup -q -n avr-libc-%{version} -a1 -a2

%build
CFLAGS="%{rpmcflags}" \
CXXFLAGS="%{rpmcflags}" \
./configure \
	--prefix=%{_prefix} \
	--build=%{_target_platform} \
	--host=%{target}
%{__make} \
	DOC_INST_DIR="%{_datadir}/%{name}-%{version}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp -rf doc/examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -rf man $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
rm -rf $RPM_BUILD_ROOT%{_docdir}/avr-libc-%{version}/examples

%if 0%{!?debug:1}
%{target}-strip -g $RPM_BUILD_ROOT%{arch}/lib/*.[oa] \
	$RPM_BUILD_ROOT%{arch}/lib/avr?/*.[oa]
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc avr-libc-user-manual-%{version}/ ChangeLog LICENSE README NEWS
%attr(755,root,root) %{_bindir}/*
%dir %{arch}/include
%{arch}/include/*.h
%dir %{arch}/include/avr
%{arch}/include/avr/*.h
%dir %{arch}/include/compat
%{arch}/include/compat/*.h
%dir %{arch}/include/util
%{arch}/include/util/*.h
%{arch}/lib/*.[oa]
%dir %{arch}/lib/avr?
%{arch}/lib/avr?/*.[oa]
%{_datadir}/%{name}-%{version}
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: crossavr-libc.spec,v $
Revision 1.29.2.3  2007/04/10 22:19:31  glen
- rel 4

Revision 1.29.2.2  2007/04/10 19:38:04  glen
- rel 3

Revision 1.29.2.1  2007/04/10 19:35:20  glen
- update 1.4.5 from HEAD

Revision 1.29  2006/05/19 18:28:49  bszx
- updated to 1.4.4

Revision 1.28  2006/01/14 08:27:25  yogib
- up to 1.4.2

Revision 1.27  2005/12/31 16:17:28  yogib
- updated to 1.4.1

Revision 1.26  2005/11/20 18:57:01  yogib
- fixed avr-man by adding DOC_INST_DIR to compile options

Revision 1.25  2005/11/20 13:09:46  yogib
- updated to 1.4.0

Revision 1.24  2005/11/12 13:37:59  yogib
- added manpages
- fixed avr-man tool to read proper manpages

Revision 1.23  2005/11/12 12:09:13  yogib
- updated to 1.2.6

Revision 1.22  2005/08/03 18:48:29  yogib
- updated to 1.2.5

Revision 1.21  2005/02/16 18:38:55  yogib
- updated to 1.2.3

Revision 1.20  2005/02/11 17:56:30  bszx
- updated to 1.2.2

Revision 1.19  2005/01/29 20:13:31  yogib
- updated to 1.2.1

Revision 1.18  2005/01/01 10:15:00  yogib
- updated to 1.2.0

Revision 1.17  2004/12/25 20:38:21  yogib
- updated to 1.0.5, added ChangeLog

Revision 1.16  2004/07/25 16:39:02  yogib
- updated to 1.0.4, added examples and updated URLs

Revision 1.15  2004/07/21 11:36:06  qboosh
- strip using target binutils (if not debug)
- arch/lib dir belongs to cross gcc, require it

Revision 1.14  2004/02/01 16:08:57  undefine
- change license, fix BR.

Revision 1.13  2004/02/01 16:02:48  undefine
- add documentation, release 2

Revision 1.12  2004/02/01 00:54:32  undefine
- back to savannach url, don't strip

Revision 1.11  2004/01/15 00:06:42  arekm
- use temporary download

Revision 1.10  2004/01/14 10:19:36  arekm
- epoch 1

Revision 1.9  2004/01/14 10:10:20  arekm
- updated to 1.0.2 but we still need to wait for savannah files section restoration

Revision 1.8  2003/08/29 23:30:32  ankry
- sync summaries / descriptions; some BR fixed

Revision 1.7  2003/08/06 16:51:46  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.6  2003/05/26 16:24:50  malekith
- massive attack: adding Source-md5

Revision 1.5  2003/05/25 05:46:27  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2002/12/18 02:12:11  wiget
- added URL and changes Source0 URL, cosmetics

Revision 1.3  2002/12/03 21:33:54  ankry
- cleaning

Revision 1.2  2002/03/13 20:48:43  wojtekka
- updated docs.

Revision 1.1  2002/03/13 19:17:05  wojtekka
- initial release. links property with some test programs.

Revision 1.2  2002/03/12 23:09:59  wojtekka
- added ldscripts.

Revision 1.1  2002/03/12 22:08:37  wojtekka
- initial release based on crossmipsel-*.spec. works fine.
